<?php

namespace Lean\Console\Controller;

use League\Route\Router;
use Psr\Http\Message\{ ResponseInterface, ServerRequestInterface };

use Notes\Tell\Attribute\Language, Notes\Route\Attribute\Method\Route;

use \Lean\Console\Lib;

use Picea\Extension\UrlExtension;

class Request extends Console {
    use Lib\ConsoleControllerTrait;

    #[Route(route: "/request/routes", name: "lean.console:request.route")]
    public function routes(ServerRequestInterface $request, array $arguments) : ResponseInterface
    {
        $routes = $this->container->has(UrlExtension::class) ? $this->container->get(UrlExtension::class)->getRouteList(true) : false;

        uksort($routes, function($a, $b) {
            return $a <=> $b;
        });

        return $this->renderView("lean-console/page/request/route", [
            'routes' => $routes
        ]);
    }
}